Skip to main content
GET
/
organizations
/
{organizationID}
/
projects
/
limits
Get project resource limits
curl --request GET \
  --url https://api.xata.tech/organizations/{organizationID}/projects/limits \
  --header 'Authorization: Bearer <token>'
{
  "maxInstances": 2,
  "minInstances": 2,
  "maxDescriptionLength": 26,
  "maxBranches": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier of the organization to get project limits for

Pattern: [a-zA-Z0-9_-~:]+

Response

200 - application/json

Default resource limits for projects in the organization

Resource limits and constraints for projects within an organization

maxInstances
integer
required

Maximum number of database instances allowed per branch

Required range: x >= 1
minInstances
integer
required

Minimum number of database instances required per branch

Required range: x >= 1
maxDescriptionLength
integer
required

Maximum character length allowed for project descriptions

Required range: x >= 25
maxBranches
integer
required

Maximum number of branches allowed per project